## org.apache.axis.enum
Class Scope

    java.lang.Object
      org.apache.axis.constants.Enum
          org.apache.axis.constants.Scope
              org.apache.axis.enum.Scope

All Implemented Interfaces:
  java.io.Serializable

Deprecated. please use org.apache.axis.constants.Scope

public class Scope
extends Scope

Simple wrapper around org.apache.axis.constants.Scope

Author:
  dims@yahoo.com
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.constants.Scope
`Scope.Type`

Field Summary

Fields inherited from class org.apache.axis.constants.Scope
`APPLICATION, APPLICATION_STR, DEFAULT, FACTORY, FACTORY_STR, REQUEST, REQUEST_STR, SESSION, SESSION_STR`

Fields inherited from class org.apache.axis.constants.Enum
`log, name, value`

Constructor Summary
`Scope()` Deprecated.

Methods inherited from class org.apache.axis.constants.Scope
`getDefault, getScope, getScope, getScope, getScopes, isValid, size`

Methods inherited from class org.apache.axis.constants.Enum
`equals, equals, getName, getType, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scope

    public Scope()

  Deprecated.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.